Page MenuHomePhabricator

Regession: The success message after saving preferences does not occur
Closed, InvalidPublic

Description

Since a73c5b73/2257fe42 the success message after saving preferences does not occur anymore on my installation. The storing the success flag in session data from 486bc207 does not work anymore.

Event Timeline

Fomafix created this task.Jan 13 2016, 6:00 AM
Fomafix raised the priority of this task from to Needs Triage.
Fomafix updated the task description. (Show Details)
Fomafix added subscribers: Fomafix, Krinkle, Anomie.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 13 2016, 6:00 AM
Fomafix updated the task description. (Show Details)Jan 21 2016, 5:57 PM
Fomafix set Security to None.

Seems to work fine when I try it locally and on http://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences.

It seams to concern only my installation. I use Windows 7 with lighttpd, sqlite and php-fpm from Cygwin.

When I enable debug mode I get the following message 8 times on the described situation.

[objectcache] Rejected set() for global:user:id:wiki:1 due to pending writes.

I suspect that you'll have to do the legwork to figure out what's going on here, unless someone else comes along who can reproduce it.

That key looks like it's coming from the User class caching stuff, not Session stuff.

Fomafix updated the task description. (Show Details)Feb 4 2016, 1:30 PM

I reinstalled the operating system and cygwin and transferred my previous MediaWiki installation and the SQLite database file. The problem still exists.

Fomafix closed this task as Invalid.Nov 25 2017, 7:28 PM

I can not reproduce the problem.